This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496341 - anaconda fails on empty DOS part table [NEEDINFO]
anaconda fails on empty DOS part table
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
11
ppc Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
anaconda_trace_hash:a0223d298f0d2ab3c...
:
: 503845 506086 523004 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 17:50 EDT by Geoff Levand
Modified: 2010-06-28 07:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jgranado: needinfo? (geoffrey.levand)


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (46.37 KB, text/plain)
2009-04-17 17:50 EDT, Geoff Levand
no flags Details

  None (edit)
Description Geoff Levand 2009-04-17 17:50:53 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.45 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 49, in __init__
    self.__disk = _ped.Disk(device.getPedDevice())
  File "/usr/lib/anaconda/storage/devices.py", line 703, in __init__
    self.partedDisk = parted.Disk(device=self.partedDevice)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1086, in addUdevDiskDevice
    initcb=cb, initlabel=initlabel, **kwargs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1159, in addUdevDevice
    device = self.addUdevDiskDevice(info)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1593, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 288, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 101, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 701, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 966, in <module>
    anaconda.intf.run(anaconda)
NotImplementedError: Partition 3 isn't aligned to cylinder boundaries.  This is still unsupported.
Comment 1 Geoff Levand 2009-04-17 17:50:57 EDT
Created attachment 340099 [details]
Attached traceback automatically from anaconda.
Comment 2 Geoff Levand 2009-04-17 18:04:10 EDT
Just before doing the install I used fdisk to write an empty DOS partition table to the HD (/dev/sda).

The failure was on Mac G5.  I tested on PS3 and it works OK, so this is not a high priority bug for me.

-Geoff
Comment 3 Chris Lumens 2009-04-21 13:53:00 EDT
Looks like parted is detecting this as a pc98 partition table, judging from where the error message comes from.
Comment 4 Bug Zapper 2009-06-09 10:02:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joel Andres Granados 2009-06-12 09:28:03 EDT
*** Bug 503845 has been marked as a duplicate of this bug. ***
Comment 6 Joel Andres Granados 2009-07-22 08:24:46 EDT
Geoff:
What does `parted DEVICE print free` spit out.  Also, can you post the output of 'fdisk DEVICE -l`
Comment 7 Joel Andres Granados 2009-07-22 09:12:40 EDT
*** Bug 506086 has been marked as a duplicate of this bug. ***
Comment 8 Chris Lumens 2009-09-14 09:36:49 EDT
*** Bug 523004 has been marked as a duplicate of this bug. ***
Comment 9 Jean-François Rameau 2009-09-14 14:03:34 EDT
Infos reletive to #523004 

#parted /dev/sda print free

Model: ATA WDC WD400BB-00DE (scsi)
Disque /dev/sda : 40,0GB
Taille des secteurs (logiques/physiques): 512B/512B
Table de partition : msdos

Numéro  Début   Fin     Taille  Type     Système de fichiers  Fanions  
 1      32,3kB  206MB   206MB   primary  ext3                 démarrage
 2      206MB   40,0GB  39,8GB  primary                       lvm      



#fdisk /dev/sda -l

Disque /dev/sda: 40.0 Go, 40020664320 octets
255 heads, 63 sectors/track, 4865 cylinders
Units = cylindres of 16065 * 512 = 8225280 bytes
Disk identifier: 0x91cb6d00

Périphérique Amorce    Début         Fin      Blocs    Id  Système
/dev/sda1   *           1          25      200781   83  Linux
/dev/sda2              26        4865    38877300   8e  Linux LVM
Comment 10 Hans de Goede 2009-12-16 09:21:30 EST
Jean-Francois,

Thanks for the info, parted seems to identify your disk correctly as an msdos partitioned disk (and not an pc98 one).

Which version of parted did you use ? Can you please retry with parted from F-11 or F-12 ? If you are not running F-11 or F-12, could you boot a livecd and run parted from there ?

Thanks,

Hans


As for the original reporter of this bug, and those who had duplicate bugs, also please try to run "parted /dev/sdX print" using F-11 or F-12 parted.
Comment 11 Bug Zapper 2010-04-27 09:45:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 07:53:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.